Hong Kong eKYB

Earlier in our docs is an overview of our Know Your Business here. Now, this page is focused specifically on eKYB in Hong Kong. eKYB in HK leverages the government sources of truth to validate the legitimacy of businesses, including their taxID , business name, business address, along with UBOs.

Currently, Incode supports input that comes in Chinese, English, and Pinyin.

Integration

User input flow



Module Configuration

Module configuration gives various options to specify different KYB criteria you would like to check (eg. Business name, Business Address, and Business taxID).

Direct API Approach

All module configurations and user data can be forwarded directly in the request for performing an KYB search. This will override existing configuration and data collected about the user.

📘

API Authentication

All endpoints require authentication headers to be specified as stated in Incode API Documentation

POST /omni/externalVerification/ekyb

This endpoint performs an KYB check for the business specified. Note: Endpoint can have empty body and in that case information will be pulled from module configuration and session details.

  • plugins: must be ["ekyb"]: (mandatory)
  • businessName: (mandatory) String. Name of the business.
  • addressLine2: (optional) String. Full address including house number, street, city, state and zip.
  • country: (mandatory) String. Two letter Alpha-2 country code. Must be HK.
  • uboNames: (optional) String. Full legal name(s) of Unique Beneficial Owners to check against list of legal business associations
  • taxId: (mandatory) String. Tax ID of the business (CR, 8 digits)

Note: The country parameter is used to limit business validation to that specific region. We will only validate a business established in the country selected in the eKYB request.

✍️

Business Tax ID in HK

Business Tax ID supports: Companies (CR) - 8 digits (E.g.: 12345678)
Tax IDs in the following formats are acceptable - 12345678-000-09-20-3 OR 12345678-000-11-23-A OR 1234567800007210. In these cases, we will truncate to use the first 8 digits only.


REQUEST FORMAT EXAMPLE
{
  "plugins": ["ekyb"],
  "businessName": "Dummy Company Limited ",
  "addressLine2": "105-111 MAIN ROAD, WAN CHAI, Hong Kong, 999077"",
  "country": "HK",
  "taxId": "12345678",
  "uboNames": ["Lin Xi Wein"],
	"directors": ["Andrew Chang"]
}

Response

All module configurations and user data can be forwarded directly in the request for performing an eKYB search. This will override existing configuration and data collected about the user.

📘

API Authentication

All endpoints require authentication headers to be specified as stated in Incode API Documentation

RESPONSE EXAMPLE
"kyb": [
    {
      "key": "name",
      "sub_label": "Verified"
    },
    {
      "key": "tin",
      "sub_label": "Verified",
    },
    {
      "key": "address_verification",
      "sub_label": "Verified"
    },
    {
      "key": "registrationStatus",
      "sub_label": "Active"
    },
    {
      "key": "entityType",
      "entityType": {
      "entityType": "Private company limited by shares”
    }
    },
    {
      "key": "ubo_name_match",
      "sub_label": "Verified",
      "uboName_input": "Li Xi Wein",
      "ubo_ownership": "100.00%"
    },
    {
      "key": "directors_name_match",
      "sub_label": "Unverified",
      "directorsName_input": "Andrei Blang"
    }
}

Hong Kong API KeyStatusDefinition
nameVerified, Approximate Match, UnverifiedSubmitted business name is verified, approximate match, or unverified against the business name associated with the business Tax ID in the government database.
tinVerified, UnverifiedSubmitted Tax ID is found or not found in the government database.
address_verificationVerified, Approximate Match, UnverifiedSubmitted address is verified, approximate match, or unverified against the address associated with the business Tax ID in the government database.
registrationStatusActive, Inactive, Unknown

Active: This occurs if the registration status of the business is active.

Inactive: This occurs if the registration status of the business is suspended or inactive or if the business no longer exists.

Unknown: This occurs if the registration status of the business is not available.

entityTypeLegal entity type of the businessThis displays the legal entity type of the company, if available, from an official source. If not available, “Unknown” is displayed.
ubo_name_matchVerified, Approximate Match, Unverified

Submitted UBO is an exact match against the UBO associated with the business Tax ID in the government database.

In situations where user has submitted multiple ubo names to be verified against the government source of truth, you will see additional fields called ubo_name_match.

You can distinguish ubo_name_match when looking at uboName_input

directors_name_matchVerified, Approximate Match, Unverified

Submitted Directors is an exact match against the DIrectors associated with the business Tax ID in the government database.

In situations where user has submitted multiple ubo names to be verified against the government source of truth, you will see additional fields called directors_name_match.

You can distinguish directors_name_match when looking at directorsName_input

Learning more about Approximate Match : Approximate Match is generated through Incode's proprietary fuzzy matching algorithm. If approximate match is returned, the algorithm has identified a similar match with the string submitted in relation to the string stored in the government source of truth for a particular field. Approximate Match is returned when exact matches are not possible due to misspellings, typographical errors, or slight variations in input data.


Please refer to error response to see conventional HTTP response codes to indicate the success or failure of an API request.

Custom 400 error messages if businessName, taxId, or country is “ “ or null:

Message: taxId and country are minimum required fields.


Single Session Dashboard Results

They are available on Single Session view under Business tab.